AnsweredAssumed Answered

How to exactly register custom data references for both .Net 3.5 and .Net 4.5 ?

Question asked by Valtor on May 15, 2015
Latest reply on May 19, 2015 by Valtor

Hello I am trying to register custom DRs with implementations for both .Net 3.5 (Any CPU) and .Net 4.5 (Any CPU) and having issues.

 

Here is the command I run to register my plugins:

 

"%PIHOME%\AF\RegPlugIn" /PISystem:DEV-SMT-AF SMART.AF.DataReference.dll 4.0\SMART.AF.DataReference.dll

 

I get this output:

 

PISystem (AF Server)'DEV-SMT-PI-01', (20a9d8cb-e4f6-4928-acac-d373b73bc012).

    10 plugins registered in 'SMART.AF.DataReference.dll'.

    10 plugins registered in 'SMART.AF.DataReference.dll [NET4]'.

 

 

It seems to be ok but then PI System Explorer 2014 always loads the .net 3.5 version even if the .net 4.5 version is also registered and I only see the .Net 3.5 version file being downloaded in C:\ProgramData\OSIsoft\AF\PlugIns folder.

 

Thanks in advance for the help.

 

Patrick

Outcomes